Введение

X No Archive, также известный в разговорной речи как xna, — это поле заголовка сообщения в новостной группе, используемое для предотвращения архивирования сообщения Usenet на различных серверах.

Происхождение

Необходимость в X No Archive возникла с появлением DejaNews в 1995 году. DejaNews стала первой крупномасштабной коммерческой попыткой архивировать новостную ленту Usenet, и некоторые участники новостных групп выразили обеспокоенность по поводу прав на конфиденциальность и возможности повторной публикации их сообщений через DejaNews в будущем. DejaNews отреагировала на эти опасения, объявив, что не будет архивировать сообщения Usenet, содержащие заголовок X No Archive.

Как это работает

X No Archive был разработан в соответствии со стандартным протоколом заголовков сообщений, описанным в RFC 1036 и RFC 977, используемым в существующих новостных группах. Помимо стандартных полей заголовка, используемых во всех сообщениях новостных групп (включая Path:, From:, Subject: и Date:), программное обеспечение для чтения новостей позволяет пользователям добавлять необязательные поля в заголовок. Согласно RFC 822, эти дополнительные поля имеют префикс X, чтобы новостные серверы и программы для чтения новостей могли их игнорировать. Фраза "No Archive" была придумана как способ указать "Не архивировать это сообщение", а префикс X был добавлен для завершения термина X No Archive. Правильное поле для предотвращения архивирования сообщения: X No Archive: Yes (сокращенно "XNAY"). Некоторые программные системы также не архивируют сообщения, если первая строка текста сообщения содержит этот текст. Это полезно для пользователей, которые не могут изменить заголовок отправляемых ими сообщений. Если поле X No Archive установлено в значение "No" или отсутствует, архив Usenet не распознает запрет на архивирование сообщения.

Программные программы для чтения новостей

Когда DejaNews была приобретена Google, Google продолжал соблюдать директиву X No Archive. Другие службы архивирования новостных групп также последовали примеру DejaNews, хотя решение не архивировать сообщения с директивой X No Archive было полностью добровольным. Многие популярные программы для чтения и публикации новостей, такие как Forté Agent, по умолчанию предоставляют возможность вставлять поле X No Archive в сообщения по запросу пользователя. Mozilla Thunderbird позволяет вставлять пользовательские поля в заголовки как электронных писем, так и сообщений Usenet. Для активации этой функции необходимо вручную отредактировать файл mailnews.js (инструкции содержатся в этом файле). Однако Thunderbird не вставляет пользовательские поля в сообщения автоматически – пользователю необходимо добавлять их вручную в каждое сообщение при необходимости.